Bug 952389 (CVE-2013-2415) - CVE-2013-2415 OpenJDK: temporary files created with insecure permissions (JAX-WS, 8003542)
Summary: CVE-2013-2415 OpenJDK: temporary files created with insecure permissions (JAX...
Status: CLOSED ERRATA
Alias: CVE-2013-2415
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130416,reported=2...
Keywords: Security
Depends On:
Blocks: 950067
TreeView+ depends on / blocked
 
Reported: 2013-04-15 20:41 UTC by Tomas Hoger
Modified: 2019-06-08 19:31 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-15 13:27:46 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0751 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-04-17 22:43:48 UTC
Red Hat Product Errata RHSA-2013:0752 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-04-17 22:43:40 UTC
Red Hat Product Errata RHSA-2013:0757 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:10:43 UTC
Red Hat Product Errata RHSA-2013:0770 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-04-24 21:57:30 UTC
Red Hat Product Errata RHSA-2013:0822 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-15 00:13:34 UTC

Description Tomas Hoger 2013-04-15 20:41:36 UTC
It was discovered that JAX-WS could possibly create temporary files with insecure permissions.  A local attacker could use this flaw to access temporary files created by an application using JAX-WS.

Comment 2 Tomas Hoger 2013-04-16 22:05:35 UTC
Public now via Oracle Java SE CPU April 2014:

http://www.oracle.com/technetwork/topics/security/javacpuapr2013-1928497.html

Fixed in Oracle Java SE 7u21.

Comment 6 errata-xmlrpc 2013-04-17 18:45:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0752 https://rhn.redhat.com/errata/RHSA-2013-0752.html

Comment 7 errata-xmlrpc 2013-04-17 18:47:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0751 https://rhn.redhat.com/errata/RHSA-2013-0751.html

Comment 9 Stefan Cornelius 2013-04-17 21:45:02 UTC
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jaxws/rev/e07c518282ba

Comment 11 errata-xmlrpc 2013-04-18 18:28:06 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0757 https://rhn.redhat.com/errata/RHSA-2013-0757.html

Comment 12 errata-xmlrpc 2013-04-24 17:59:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0770 https://rhn.redhat.com/errata/RHSA-2013-0770.html

Comment 13 Tomas Hoger 2013-04-26 12:19:46 UTC
Fixed in IcedTea6 versions 1.11.11 and 1.12.5, and IcedTea7 version 2.3.9:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-April/022890.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-April/022985.html

Comment 15 errata-xmlrpc 2013-05-14 18:03:46 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0822 https://rhn.redhat.com/errata/RHSA-2013-0822.html


Note You need to log in before you can comment on or make changes to this bug.